var querystring=require('querystring'),
	dns=require('dns');
	
	exports.parseDns=function(res,req){
		var postData="";
		//讀取客戶端傳過來的數據 ，后添加到postData中
		req.addListener("data",function(postDataChunk){
			postData+=postDataChunk;
		});
		req.addListener("end",function(){
			//結束監聽事件后，執行getDns異步函數后回調function(domain,addresses)
			var retData=getDns(postData,function(domain,addresses){
				res.writeHead(200,{'Content-Type':'text/html'});
				res.end("<html><head><meta http-equiv='content-type' content='text/html;charset=utf-8'></head><div style='text-align:center'>Domain:<span style='color:red'>"+domain+"</span>Ip:<span style='color:red'>"+addresses.join(',')+"</span></div></html>");
			});
			return retData;
		});
	}
	//相當于私有方法
	function getDns(postData,callback){
		var domain=querystring.parse(postData).search_dns;
		/* 異步解析域名 */
		dns.resolve(domain,function(err,addresses){
			if(!addresses){
				addresses=['不存在域名']
			}
			callback(domain,addresses);//調用回調函數
		});
	}